%define	major 11
%define libname	%mklibname idn %{major}
%define develname %mklibname idn -d

Summary:	Internationalized string processing library
Name:		libidn
Version:	1.0
Release:	%mkrel 2
License:	LGPL
Group:		System/Libraries
URL:		http://josefsson.org/libidn/releases/
Source0:	http://josefsson.org/libidn/releases/%{name}-%{version}.tar.gz
Source1:	http://josefsson.org/libidn/releases/%{name}-%{version}.tar.gz.sig
BuildRequires:	libtool
BuildRequires:	autoconf2.5
BuildRequires:	texinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package -n %{libname}
Summary:	Internationalized string processing library
Group:		System/Libraries
Requires(post):	info-install
Requires(preun): info-install

%description -n	%{libname}
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package -n %{develname}
Summary:	Development files for the %{libname} library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	idn-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig
Obsoletes:	%mklibname idn 11 -d

%description -n	%{develname}
Development files for the %{libname} library.

%package -n idn
Summary:	Commandline interface to the %{libname} library
Group:		System/Servers

%description -n idn
This package provides the commandline interface to the
%{libname} library.

%prep

%setup -q


%build
#export WANT_AUTOCONF_2_5=1
#libtoolize --copy --force; aclocal; autoconf

# wierd stuff...
#%define __libtoolize /bin/true

%configure2_5x \
	--disable-rpath

%make

%check
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# house cleansing
rm -f %{buildroot}%{_libdir}/Libidn.dll

# fix "invalid-lc-messages-dir":
rm -rf %{buildroot}%{_datadir}/locale/en@*quot

# make a nice list for docs
find doc -type f | sed 's/^/%doc /' | \
    grep -v "Makefile*" | \
    grep -v "\.tex*" | \
    grep -v "\.info" | \
    grep -v "\.1" | \
    grep -v "\.3" | \
    grep -v "\.sgml" | \
    grep -v "\.xml" | \
    grep -v "gdoc" | \
    grep -v "mdate-sh" > %{libname}-devel.filelist

find examples -type f -name ".c" | sed 's/^/%doc /' >> %{develname}.filelist

%find_lang %{name}

#(tpg) really not needed... also got lzma'd :)

rm -rf %{buildroot}%{_infodir}/*.png*

# this fixes a file clash in a mixed arch env
mv %{buildroot}%{_infodir}/%{name}.info %{buildroot}%{_infodir}/%{libname}.info

%post -n %{libname}
%_install_info %{libname}.info
/sbin/ldconfig
 
%postun -n %{libname}
%_remove_install_info %{libname}.info
/sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n idn -f %{name}.lang
%defattr(0644,root,root,755)
%doc ChangeLog FAQ README
%attr(0755,root,root) %{_bindir}/idn
%{_mandir}/man1/idn.1*
%{_datadir}/emacs/site-lisp/*.el

%files -n %{libname}
%defattr(0644,root,root,755)
%doc FAQ README THANKS contrib
%attr(0755,root,root) %{_libdir}/libidn.so.%{major}.*
%attr(0755,root,root) %{_libdir}/libidn.so.%{major}
%{_infodir}/%{libname}.info*

%files -n %{develname} -f %{develname}.filelist
%defattr(0644,root,root,755)
%doc ChangeLog doc/libidn.html TODO libc/example.c examples/README examples/Makefile.*
%{_libdir}/libidn.so
%{_libdir}/libidn.a
%{_libdir}/libidn.la
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%changelog
* Tue Sep 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0-2mdv2008.0
+ Revision: 89677
- rebuild

* Tue Jul 31 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2008.0
+ Revision: 57251
- 1.0

* Thu Jul 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.14-1mdv2008.0
+ Revision: 53647
- new devel library policy
- remove not needed files
- disable rpath
- spec file clean
- new version


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.6.9-3mdv2007.1
+ Revision: 146601
- move devel doc in -devel

* Mon Mar 05 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.9-2mdv2007.1
+ Revision: 133202
- fix a libname dependant file clash

* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.9-1mdv2007.1
+ Revision: 132136
- second try...
- 0.6.9
- prevent future mess with major

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.8-1mdv2007.1
+ Revision: 74284
- 0.6.8
- misc spec file fixes
- Import libidn

* Sat Jul 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-1mdk
- 0.6.5

* Tue Feb 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-1mdk
- 0.6.2 (Minor feature enhancements)

* Fri Jan 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdk
- 0.6.1

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-2mdk
- install-info/info-install (duh!)

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-1mdk
- 0.6.0

* Tue Oct 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.20-1mdk
- 0.5.20 (Minor bugfixes)

* Sat Oct 08 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.19-1mdk
- 0.5.19

* Thu Aug 11 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.18-2mdk
- fix #77181

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.18-1mdk
- 0.5.18 (Minor bugfixes)

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.17-1mdk
- 0.5.17

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.16-1mdk
- 0.5.16

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.15-1mdk
- 0.5.15
- use the %%mkrel macro
- fix requires-on-release

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.13-1mdk
- 0.5.13

* Sun Dec 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.12-1mdk
- 0.5.12

* Tue Nov 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.10-1mdk
- 0.5.10

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.9-1mdk
- 0.5.9

* Mon Oct 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.6-1mdk
- 0.5.6

* Mon Aug 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.4-1mdk
- 0.5.4

* Thu Jul 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Mon Jun 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.9-1mdk
- 0.4.9

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.8-1mdk
- 0.4.8

* Wed Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Wed May 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Tue May 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Thu May 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4, thanks to Michael Scherer for helping with the locale stuff

